JavaScript::QuickJS::RegExp(3pm)

NAME
JavaScript::QuickJS::RegExp - JavaScript `RegExp` in Perl

SYNOPSIS
    my $regexp = JavaScript::QuickJS->new()->eval("/foo/");

    if ($regexp->test('fo')) {
        # This won’t run because test() will return falsy.
    }

DESCRIPTION
This class represents a JavaScript RegExp <https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp> instance in Perl.

This class is not instantiated directly.

METHODS
The following methods correspond to their JS equivalents:

•   exec()

•   test()

In addition, the following methods return their corresponding JS property:

•   flags()

•   dotAll()

•   global()

•   hasIndices()

•   ignoreCase()

•   multiline()

•   source()

•   sticky()

•   unicode()

•   lastIndex()